Get subject progress
curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/placement/getSubjectProgress \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/powerpath/placement/getSubjectProgress"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/powerpath/placement/getSubjectProgress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"progress": [
{
"course": {
"courseCode": "<string>",
"dateLastModified": "<string>",
"grades": [
"3"
],
"level": "<string>",
"orgSourcedId": "<string>",
"sourcedId": "<string>",
"status": "<string>",
"subjects": [],
"title": "<string>"
},
"inEnrolled": true,
"hasUsedTestOut": true,
"testOutLessonId": "<string>",
"completedLessons": 123,
"totalLessons": 123,
"totalAttainableXp": 123,
"totalXpEarned": 123
}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Placement
Get subject progress
Returns the progress the student has made in the given subject
GET
/
powerpath
/
placement
/
getSubjectProgress
Get subject progress
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The sourcedId of the student
The subject name
Available options:
Reading, Language, Vocabulary, Social Studies, Writing, Science, FastMath, Math, None, Other Response
Success
The progress of the student in each of the subject's courses
Show child attributes
Show child attributes
⌘I